List Phone Numbers Page

Retrieve a page of Phone Numbers

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-1000Defaults to 100
Number of phone numbers per page
searchstring or nullOptional<=100 characters

Filter by phone number ID, label, or phone number. A phone number ID must match exactly; label and phone number matching is a case-insensitive substring.

labelstring or nullOptional<=100 characters

Filter by label. Matching is a case-insensitive substring.

phone_numberstring or nullOptional<=100 characters
Filter by phone number
providerenum or nullOptional
Filter by telephony provider
Allowed values:
supports_outboundboolean or nullOptional
Filter by whether the phone number can place outbound calls
agent_idstring or nullOptional
Filter by assigned agent ID
branch_idstring or nullOptional
Filter by assigned branch ID
sort_byenum or nullOptional
The field to sort the results by
Allowed values:
sort_directionenumOptional
The direction to sort the results
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
phone_numberslist of objects
The phone numbers on this page
next_cursorstring or nullOptional

Pass this value as cursor to fetch the next page. Null when there are no more results.

has_morebooleanOptionalDefaults to false
Whether there are more results available

Errors

422
Unprocessable Entity Error